@import "./mixins.scss";
@import "./variables.scss";

@charset "UTF-8";

/**
 * Основные стили
 **/

.container {
  @include min-max(320px, 100%, 0);
}

.wrap {
  @include min-max(320px, 1310px, 15px);
}

body {
  font-family: "Museo Sans", Helvetica, sans-serif;
  font-size: 16px;
  font-weight: 500;
  background-color: $bg;

  overflow-wrap: break-word;
  word-wrap: break-word;

  margin: 0 auto;
  @media (max-width: 600px) {
      min-width: 600px;
  }
}

.wrapper {
    min-height: 100vh;
}

li {
  margin: 0;
}

ul {
  padding: 0;
}

.title-1 {
  font: 700 44px/52px "Museo Sans", sans-serif;
  color: $light-black;
}

.title-3 {
  font: 700 24px/32px "Museo Sans", sans-serif;
  color: $light-black;
}

.title-4 {
  font: 700 20px/28px "Museo Sans", sans-serif;
}

.text {
  font: 400 16px/26px "Museo Sans", sans-serif;
  color: $black;
}

.btn-main {
  @include button-simple();
  box-shadow: 0 0 0 0 rgba(44, 71, 240, 1);
  &:hover {
    animation: pulse 0.6s cubic-bezier(0.36, 0.07, 0.19, 0.97);
  }
}

@keyframes pulse {
  0% {
    box-shadow: 0 0 0 0 rgba(44, 71, 240, 0.9);
  }

  15% {
    box-shadow: 0 0 3 10px rgba(44, 71, 240, 0.7);
  }

  30% {
    box-shadow: 0 0 5px 20px rgba(44, 71, 240, 0.6);
  }

  50% {
    box-shadow: 0 0 10px 25px rgba(44, 71, 240, 0.3);
  }

  70% {
    box-shadow: 0 0 10px 35px rgba(44, 71, 240, 0.1);
  }

  100% {
    box-shadow: 0 0 15px 40px rgba(44, 71, 240, 0);
  }
}

.fade-enter-active {
  transition: all 0.6s;
}
.fade-enter,
.fade-leave,
.fade-leave-to {
  opacity: 0;
}

.fade-leave {
  display: none;
}
